Name:           pyi2ncommon
Version:        1.7.0
# note: keep version in sync with setup.py
Release:        1%{?dist}
Summary:        Intra2net library of common helper utilities
Group:          Development/Languages
License:        Intra2net AG
URL:            http://www.intra2net.com
Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Helper modules for Intra2net source code that are used in several places and/or are of general interest

%package -n python3-%{name}
Summary:        Intra2net library of common helper utilities
Group:          Development/Languages
%description -n python3-%{name}
Helper modules for Intra2net source code that are used in several places and/or are of general interest

%prep
%setup -q

if [ -n "%{patches}" ]; then
    # Use git to apply patches, so that permission changes work
    git init
    # Setup a committer
    if [ -z "$GIT_COMMITTER_NAME" ]; then
        git config user.email "opensource@intra2net.com"
        git config user.name "Intra2net Automatic Patch Applicator"
    fi
    git add .
    git commit --no-gpg-sign -a -q -m 'Initial commit for %{version}'
    git am -p1 %{patches}
fi

%build
%py3_build

%check
ln -s src pyi2ncommon    # make src importable from current dir
PYTHONPATH=.:$PYTHONPATH python3 -m unittest discover test

%install
%py3_install

%files -n python3-%{name}
# keep in sync with list in make_dist.py
%defattr(-,root,root,-)
%license COPYING.GPL
%license Linking-Exception.txt
%doc README
%doc CONTRIBUTING
%doc doc/conf.py
%doc doc/about_docu.rst
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-*.egg-info
